<!-- <div class="animated fadeIn">
  <ngb-alert *ngIf="showAlert" [dismissible]="false" type="danger">Fill all the fields before submit!</ngb-alert>
  <div class="row">
    <div class="col-sm-12">
      <div class="card card-accent-primary">
        <div class="card-header" style="font-weight: bold">Add Asset</div>
        <div class="card-body"> -->
            <div class="container">
                <div class="row">
                <div class="col-sm-3"></div>

                <div class="col-sm-6">
                    <mat-toolbar color="primary">Asset Registeration</mat-toolbar>
                  <mat-card class="example-card">

                    <mat-card-content>
          <div class="form-group row">
            <label class="col-sm-6" for="assetTypeSelect">Type</label>
            <div class="col-sm-6">
              <select class="form-control" id="assetTypeSelect" [(ngModel)]="assetType" name="assetTypeSelect">
                <option *ngFor="let assetType of assetTypes" value="{{assetType}}">{{assetType}}</option>
              </select>
            </div>
          </div>

          <ngForm #dlForm="ngForm" *ngIf="assetType == assetTypes[0]">
            <div class="form-group row">
              <label class="col-sm-6" for="vendorName">Vendor Name</label>
              <div class="col-sm-6">
                <input type="text" required class="form-control" id="vendorName" [(ngModel)]="DL.vendorName" name="vendorName" placeholder="Enter Vendor Name">
              </div>
            </div>

            <div class="form-group row">
              <label class="col-sm-6" for="simVendorName">Sim Vendor Name</label>
              <div class="col-sm-6">
                <input type="text" required class="form-control" id="simVendorName" [(ngModel)]="DL.simVendorName" name="simVendorName" placeholder="Enter Sim Vendor Name">
              </div>
            </div>

            <div class="form-group row">
              <label class="col-sm-6" for="hardwareVersion">Hardware Version</label>
              <div class="col-sm-6">
                <input type="text" required class="form-control" id="hardwareVersion" [(ngModel)]="DL.hardwareVersion" name="hardwareVersion"
                  placeholder="ex. v1.2">
              </div>
            </div>

            <div class="form-group row">
              <label class="col-sm-6" for="softwareVersion">Software Version</label>
              <div class="col-sm-6">
                <input type="text" required class="form-control" id="softwareVersion" [(ngModel)]="DL.softwareVersion" name="softwareVersion"
                  placeholder="ex. v1.2">
              </div>
            </div>

            <div class="form-group row">
              <label class="col-sm-6" for="mNumber">Mobile number</label>
              <div class="col-sm-6">
                <input type="text" required pattern="[0-9]{10}" class="form-control" id="mNumber" [(ngModel)]="DL.mNumber" name="mNumber"
                  placeholder="Mobile number">
              </div>
            </div>

            <div class="form-group row">
              <label class="col-sm-6" for="sNumber">Serial number</label>
              <div class="col-sm-6">
                <input type="text" required class="form-control" id="sNumber" [(ngModel)]="DL.sNumber" name="sNumber"
                  placeholder="Serial number">
              </div>
            </div>

          </ngForm>

          <ngForm #bmsForm="ngForm" *ngIf="assetType==assetTypes[1]">
            <div class="form-group row">
              <label class="col-sm-6  control-label" for="bmsType">BMS Type</label>
              <div class="col-sm-6">
                <select
                  class="form-control"
                  name="bmsType"
                  id="bmsType"
                  [(ngModel)]="bms.bmsType"
                  >
                  <option *ngFor="let bms of bmsTypes" value="{{ bms.value }}">{{ bms.label }}</option>
                </select>
              </div>
            </div>

             <div class="form-group row">
              <label class="col-sm-6" for="hardwareVersion">Hardware Version</label>
              <div class="col-sm-6">
                <input type="text" required class="form-control" id="hardwareVersion" [(ngModel)]="bms.hardwareVersion" name="hardwareVersion"
                  placeholder="ex. v1.2">
              </div>
            </div>

            <div class="form-group row">
              <label class="col-sm-6" for="softwareVersion">Software Version</label>
              <div class="col-sm-6">
                <input type="text" required class="form-control" id="softwareVersion" [(ngModel)]="bms.softwareVersion" name="softwareVersion"
                  placeholder="ex. v1.2">
              </div>
            </div>
          </ngForm>


          <div class="row">
              <div class="col-sm-4"></div>
              <div class="col-sm-4"></div>
              <div class="col-sm-4">
              <button
               mat-raised-button color="primary" (click)="onReview1()">
            <span [class]="labelClass">Submit</span>
            <div [class]="spinner">
              <i class="fa fa-spinner fa-spin float-right [spinner]" style="font-size:24px"></i>
            </div>
          </button>
        </div></div>
      </mat-card-content>
    </mat-card>

  </div>
  <div class="col-sm-3"></div>
  </div></div>
